Skip to main content

Get one platform instance

GET 

/api/v2/platforms/:platformId

Returns a single platform instance identified by its platform id, including all of its member devices and the master device id. Requires the VIEW_DISCOVERY role.

Request​

Path Parameters

    platformId stringrequired

    Platform instance id

Responses​

Schema

    platformId string

    Shared platform instance id.

    platformName string

    Shared platform instance name (agent- or server-writable, resolved by last-writer-wins).

    unit string

    Platform unit (agent- or server-writable, resolved by last-writer-wins).

    platformTypeToken string

    Platform type token (the value the agent reports for the platform type).

    masterDeviceId string

    Device id acting as the master of this platform, when known.

    devices string[]

    Ids of the devices that belong to this platform (share the same platformId).

Loading...